<?php 
require_once("header.php");
require_once("session_check.php");

//CODE FOR DELETE ENQUIRY
if(isset($_GET['action']) && $_GET['action'] == "delete")
{
	mysqli_query($connection,"DELETE FROM `pd_interior_designs` WHERE `record_id` = '".$_GET['record_id']."'");
	
	$_SESSION['del_succ_msg'] = 'Enquiry deleted successfully.';
	header("location: design_enquiry_list.php");
	exit;
}
?>

<?php require_once("left_panel.php");?>
<div class="content">
	<div class="workplace">
		<?php if(isset($_SESSION['del_succ_msg'])) { ?>
			<div class="alert alert-success">                
			<b><?php echo $_SESSION['del_succ_msg'];?></b>
			</div> 
		<?php
		unset($_SESSION['del_succ_msg']);
		}
		?>
		<div class="row-fluid">
			<div class="span12">                    
				<div class="head clearfix">
					<div class="isw-grid"></div>
					<h1>Interior Design Enquiry List</h1>                               
				</div>
				<div class="block-fluid table-sorting clearfix">
					<table cellpadding="0" cellspacing="0" width="100%" class="table" id="tSortable">
						<thead>
							<tr>
								<th width="10%">Serial No.</th>
								<th width="23%">Name & Phone No.</th>
								<th width="27%">Email Address</th>
								<th width="30%">Message</th>
								<th width="10%">&nbsp;</th>
							</tr>
						</thead>
						<tbody>
						<?php
						$category_counter = 1;
						$sql_record = "SELECT * FROM `pd_interior_designs` ORDER BY `record_id` DESC";
						$exe_record = mysqli_query($connection,$sql_record);
						$num_record = mysqli_num_rows($exe_record);
						if($num_record>0)
						{
							while($fetch_record = mysqli_fetch_array($exe_record))
							{
								$name = stripslashes($fetch_record['name']);
								$phone = stripslashes($fetch_record['phone']);
								$email = stripslashes($fetch_record['email']);
								$message = nl2br(stripslashes($fetch_record['message']));
							?>
							<tr>
								<td><?php echo $category_counter;?></td>
								<td><b>Name : </b><?php echo $name;?><br><b>Phone No : </b><?php echo $phone;?></td>
								<td><?php echo $email;?></td>
								<td><?php echo $message;?></td>
								<td><a href="design_enquiry_list.php?record_id=<?php echo $fetch_record['record_id']?>&action=delete" title="Delete" onclick="return confirm('Are you sure you want to delete this enquiry?');" style="float:left; display:block; margin:0 5px 0 0;"><ul class="the-icons clearfix"><i class="isb-delete"></i></ul></a></td>
							</tr>
							<?php
							$category_counter++;
							}
						}
						else
						{
						?>
						<tr>
							<td><font color="#FF0000">No enquiry found</font></td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<?php
						}
						?>
						</tbody>
					</table>
				</div>
			</div>                                
		</div>
	</div>
</div>

<?php require_once("footer.php"); ?>